/*----------------------------------------------------------*/
/* SAS Global Forum code example for presentation 5244-2016 */
/* Authors: Stacey Christian, Michael Whitcher,             */
/*          Don McAlister, Phil Hanna,                      */
/* Example by: Katherine Taylor                             */
/*                                                          */
/* Executed using a Windows 64bit system                    */
/*                                                          */
/* Notes: This program performs the necessary setup to      */
/* enable use of the HPR reader with the SAS In-Database    */
/* Code Acelerator.                                         */
/*----------------------------------------------------------*/

/* Setup Grid reference for HPRISK */
%let GRIDHOST="rskhost.domain";
%let GRIDINSTALLLOC="/path/to/TKGrid";

/* Support Macro for HPRISK; Used with cubetotable to register a cube/table definition */
%include "\\location\to\hpr_hdmd_register.sas";

/* Setup of Java Path to the HPR reader */
%let SAS_HPR_JAR_PATH=\\location\path\to\cubereader\jar;   /* path to SAS cubereader.jar */

option set=SAS_HADOOP_JAR_PATH="\\location\path\to\Hadoop\client\side\jars;&SAS_HPR_JAR_PATH";
option set=SAS_HADOOP_CONFIG_PATH="\\location\path\to\Hadoop\client\side\config\files";

libname myrskdat hadoop
   server="rskhost.domain"
   user="<your userid>"
   password="<your Hadoop password>"
   HDFS_DATADIR="/local/data/risk"  /* Set according to your HDFS system */
   HDFS_TEMPDIR="/tmp"              /* Set according to your HDFS system */
   HDFS_METADIR="/local/meta/risk"  /* Set according to your HDFS system */
;